## Header: General Commands ##
# Loren Williams, Georgia Tech
# delete all objects and reset pymol
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
#set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# run the python program for hydrogen bonding interactions.
# get ride of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0


# pymol script for looking at ATP and Magnesium

load atp_mg.pdb, complex

show sphere, resi 500
alter resi 500, vdw=.4 
rebuild

h_add resn atp
remove name H09 within 3.0 of name PG

show stick, resi 501
color wheat, (name C2)
color wheat, (name C3)
color wheat, (name C3)
color wheat, (name C4)
color wheat, (name C5)
color wheat, (name C6)
color wheat, (name C8)
color wheat, (name C1*)
color wheat, (name C2*)
color wheat, (name C3*)
color wheat, (name C4*)
color wheat, (name C5*)

color red, (name O2*)
color red, (name O3*)
color red, (name O4*)
color red, (name O5*)


create 1st_shell_sphere, resi 500
show spheres, 1st_shell
disable 1st_shell

distance distances = (resi 500 and name Mg), (resi 500 and name O*), 2.2
color black, distances

set sphere_quality, 10
set stick_quality, 20
set nb_sphere_quality, 20
label name MG, 'Mg'

set_view (\
     0.314700007,   -0.842682719,    0.436876774,\
    -0.929473102,   -0.366919965,   -0.038202360,\
     0.192490473,   -0.394041866,   -0.898715377,\
    -0.000440141,    0.000265062,  -40.855953217,\
    38.877117157,   35.478275299,   -4.364456177,\
    33.544811249,   48.184574127,  -20.000000000 )
### cut above here and paste into script ###

